DUB-FETCH(1)

NAME
dub-fetch - Manually retrieves and caches a package

SYNOPSIS
dub fetch <package>[@<version-spec>] OPTIONS...

DESCRIPTION
Note: Use "dub add <dependency>" if you just want to use a certain package as a dependency, you don't have to explicitly fetch packages. Explicit retrieval/removal of packages is only needed when you want to put packages in a place where several applications can share them. If you just have a dependency to add, use the `add` command. Dub will do the rest for you. Without specified options, placement/removal will default to a user wide shared location. Complete applications can be retrieved and run easily by e.g. $ dub fetch vibelog --cache=local $ dub run vibelog --cache=local This will grab all needed dependencies and compile and run the application.

OPTIONS

--version=VALUE
    Use the specified version/branch instead of the latest available match The remove command also accepts "*" here as a wildcard to remove all versions of the package from the specified location

--force-remove
    Deprecated option that does nothing

  COMMON OPTIONS
See dub(1)

EXIT STATUS

0   DUB succeeded

1   usage errors, unknown command line flags

2   package not found, package failed to load, miscellaneous error

FILES
dub.sdl, dub.json

AUTHOR
Copyright (c) 1999-2024 by The D Language Foundation

ONLINE DOCUMENTATION
http://code.dlang.org/docs/commandline

SEE ALSO
dub(1), dub-add(1)